Bug 84087 - UI: Default font for Chinese (Simplified) l10n is not good for GUI.
Summary: UI: Default font for Chinese (Simplified) l10n is not good for GUI.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Font-Rendering UI
  Show dependency treegraph
 
Reported: 2014-09-19 09:42 UTC by Mingye Wang
Modified: 2020-09-20 20:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
What SimSun looks like on OS X. (43.99 KB, image/png)
2014-09-19 09:42 UTC, Mingye Wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mingye Wang 2014-09-19 09:42:07 UTC
Created attachment 106542 [details]
What SimSun looks like on OS X.

Problem description: 
The current default font for LibreOffice Chinese UI, SimSun, is extremely bad for displaying.
SimSun has a lot of characteristics that made it a bad choice for UI, especially for HI-DPI devices and newer Windows with ClearType and Microsoft YaHei:
1. SimSun is a serif font. Using it for the UI looks really strange.
2. SimSun is a monospace font. Looks strange, too.
3. SimSun works well only with the sizes included in its bitmap, and even that kind of 'works well' is not satisfactory compared to sans-serif fonts. (I don't have a copy of Windows XP now, but perhaps I will upload an image of SimSun's bitmap in wine later. The rendering in OS X wine by default looks quite like Windows XP's.)
4. There are alternatives for SimSun on all these platforms. Just using the default UI font can be better.


Steps to reproduce:
1. Just Open LibreOffice.

Current behavior:
Using Simsun.

Expected behavior:
Use some sans-serif fonts with some kinds of fallback, or just follow system default.
              
Operating System: All
Version: 4.2.1.1 release
Comment 1 Mingye Wang 2014-09-19 09:44:50 UTC
LibreOffice seems to be using MSYH on Windows 8.1. This should be an OS-X-specific problem.
Comment 2 Adolfo Jayme Barrientos 2014-09-22 08:26:11 UTC
@András: In order to fix this, should we just remove “SimSun” from the fallback font lists?
Comment 3 Kevin Suo 2014-10-16 03:36:58 UTC
For me, with version 4.3.3.1, 
by default "Tools - Options - LibreOffice - Use system font for user interface" is enabled. With this option enabled the UI font is "Microsoft Yahei" in Windows 7.

When disable this option, LibreOffice start center seems using SimSun in my system.

So to solve this problem, we should set the UI font fall back list as:
Microsoft Yahei
Wenquanyi Zenhei
Wenquanyi MicroHei
...
SimSun (this is the last choice)
Comment 4 Mingye Wang 2014-10-16 05:27:51 UTC
Kevin Suo forgot Hiragano Sans GB. It should be a nice UI Font for OS X, although OS X System Apps uses Heiti SC, a font sometimes too thin for a UI Font.
Comment 5 QA Administrators 2015-12-20 16:16:33 UTC Comment hidden (obsolete)
Comment 6 Mingye Wang 2015-12-20 20:09:40 UTC
Hmm. I guess I can get access to a Mac in a week…
Comment 7 QA Administrators 2017-01-03 19:55:11 UTC Comment hidden (obsolete)
Comment 8 Mingye Wang 2018-02-19 22:19:48 UTC
Reproduced with LibO 5.4.1.2 on Microsoft Windows 10, build 17074, with an en-US OS and manually specified zh-CN interface+locale too. The good news is that this time it at least *attempted* to go Sans -- the latin characters like "Writer" are in a Sans, with the rest in the bad ultrathin serif called SimSun. (Yes, Windows GDI is really *that* bad when it comes to font fallbacks.)

For Modern Windows (> Vista) I am expecting LibreOffice to use stuff like Microsoft YaHei UI (zh-CN) or Microsoft Jhenghei UI (zh-TW), both of which are decent modern Sans fonts used in Windows's UI. I think you are already doing something like that for Writer's default fonts.

* * *

I can't say much about OO on macOS because it actually takes someone to add SimSun to the list to break it. The Windows part of the problem, on the other hand, is more likely inherited because you will always need to explicitly tame GDI+.
Comment 9 QA Administrators 2019-02-20 03:48:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug